Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 255918 - Smart stepping enhancement
Smart stepping enhancement
Status: RESOLVED FIXED
Product: debugger
Classification: Unclassified
Component: Java
8.2
All All
: P2 (vote)
: 8.2
Assigned To: Martin Entlicher
issues@debugger
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-14 09:50 UTC by Martin Entlicher
Modified: 2015-10-23 01:25 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
The proposed API (8.53 KB, patch)
2015-10-14 09:54 UTC, Martin Entlicher
Details | Diff
A possible usage. (3.65 KB, patch)
2015-10-14 10:00 UTC, Martin Entlicher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2015-10-14 09:50:49 UTC
We need to override the default smart-stepping logic and provide specific steps that should be performed at given locations.

This is necessary for debuggers that are based on JPDA, but debug a language which is interpreted by Java code. The stepping needs to be adjusted not to end up in Java interpreter code, but to get to the actual language.
Comment 1 Martin Entlicher 2015-10-14 09:54:27 UTC
Created attachment 156705 [details]
The proposed API

Attached the proposed API: SmartSteppingCallback.stopAt() and SmartSteppingCallback.StopOrStep class.
Comment 2 Martin Entlicher 2015-10-14 09:55:20 UTC
Please review the proposed API change.
Comment 3 Martin Entlicher 2015-10-14 10:00:11 UTC
Created attachment 156706 [details]
A possible usage.
Comment 4 Martin Entlicher 2015-10-20 12:25:36 UTC
Thanks for the review, I'll integrate tomorrow.
Comment 5 Martin Entlicher 2015-10-22 06:21:02 UTC
Integrated as
changeset:   293241:bb6d44bbe594
http://hg.netbeans.org/core-main/rev/bb6d44bbe594
and
changeset:   293242:98086ff93a85
http://hg.netbeans.org/core-main/rev/98086ff93a85
Comment 6 Quality Engineering 2015-10-23 01:25:39 UTC
Integrated into 'main-silver', will be available in build *201510230002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/bb6d44bbe594
User: mentlicher@netbeans.org
Log: #255918: Enhanced smart-stepping API. SmartSteppingCallback.stopAt() method added.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo